Skip to main content
PATCH
CRUD + test for inference provider configurations.

Authorizations

X-Avala-Api-Key
string
header
required

API key for authentication. Generate one in Mission Control Settings > Security & Identity.

Path Parameters

uid
string
required

Body

application/json
name
string
required

Human-readable name, e.g. 'My YOLO v8 endpoint'.

Required string length: 1 - 255
description
string
provider_type
enum<string>
Available options:
sagemaker,
http
config
Config · object

Provider-specific configuration. For HTTP: endpoint_url (required), auth_header, auth_type, headers, timeout, response_key. For SageMaker: endpoint_name, region.

is_active
boolean
project
integer | null

If set, this provider is only available in this project.

Response

200 - application/json
name
string
required

Human-readable name, e.g. 'My YOLO v8 endpoint'.

Required string length: 1 - 255
description
string
provider_type
enum<string>
Available options:
sagemaker,
http
config
Config · object

Provider-specific configuration. For HTTP: endpoint_url (required), auth_header, auth_type, headers, timeout, response_key. For SageMaker: endpoint_name, region.

is_active
boolean
project
integer | null

If set, this provider is only available in this project.